/* This is -*- C -*-)

   wbwiimote.h   
   \author: Bjoern Giesler <bjoern@giesler.de>
   
   
   
   $Author: giesler $
   $Locker$
   $Revision$
   $Date: 2002-08-19 10:41:28 +0200 (Mon, 19 Aug 2002) $
 */

#ifndef WBWIIMOTE_H
#define WBWIIMOTE_H

/* system includes */
#include <wiiuse/wpad.h>
#include <unistd.h>

/* my includes */
/* (none) */

typedef enum {
  WB_SEESNONE,
  WB_SEESONE,
  WB_SEESMORE,
  WB_NOTINITED,
  WB_NOTCONNECTED
} WBStatus;

typedef struct {
  double u, v;
} WBPoint;

void WB_Init(int wiimotenum);
void WB_Read();
WPADData* WB_GetWPADData();
int WB_GetWiimoteNum();
WBStatus WB_GetStatus();
int WB_IsCloseToStaticDot(ir_dot_t dot);
void WB_GetNonStaticDots(ir_dot_t nsdots[WPAD_MAX_IR_DOTS], int* numnsdots);

void WB_WarpSetIdentity();
void WB_WarpSetSource(WBPoint p0, WBPoint p1, WBPoint p2, WBPoint p3);
void WB_WarpSetDest(WBPoint p0, WBPoint p1, WBPoint p2, WBPoint p3);
WBPoint WB_Warp(WBPoint p);

#endif /* WBWIIMOTE_H */
